Bug 834671 - kernel 2.6.43.8-1.fc15.i686.PAE crashes on boot under Xen
kernel 2.6.43.8-1.fc15.i686.PAE crashes on boot under Xen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 834586 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 14:23 EDT by Jeremy Fitzhardinge
Modified: 2012-09-07 23:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:48:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Fitzhardinge 2012-06-22 14:23:14 EDT
Description of problem:
When I updated the kernel on my VPS hosted at Linode to 2.6.43.8-1.fc15.i686.PAE, it crashes at boot.

Version-Release number of selected component (if applicable):
2.6.43.8-1.fc15.i686.PAE

How reproducible:
Always

Steps to Reproduce:
1.Boot kernel
2.
3.
  
Actual results:
Crashes (details below)

Expected results:
Successful boot

Additional info:

[3920343.821561] Initializing network drop monitor service
[3920343.821839] Freeing unused kernel memory: 644k freed
[3920343.823239] Write protecting the kernel text: 5584k
[3920343.823738] Write protecting the kernel read-only data: 2160k
[3920343.823747] NX-protecting the kernel data: 4656k
[3920343.824848] BUG: unable to handle kernel paging request at ec12e0b8
[3920343.824867] IP: [<c0691028>] atomic64_read_cx8+0x4/0xc
[3920343.824887] *pdpt = 000000002c130027 *pde = 0000000003bd4067 *pte = 800000002c12e061
[3920343.824920] Oops: 0003 [#1] SMP
[3920343.824929] Modules linked in:
[3920343.824937]
[3920343.824943] Pid: 1, comm: init Not tainted 2.6.43.8-1.fc15.i686.PAE #1
[3920343.824956] EIP: 0061:[<c0691028>] EFLAGS: 00010246 CPU: 2
[3920343.824966] EIP is at atomic64_read_cx8+0x4/0xc
[3920343.824974] EAX: ec12e0b8 EBX: ec12e0b8 ECX: ec12e0b8 EDX: ec12e0b8
[3920343.824983] ESI: ec131160 EDI: ec1311b8 EBP: ec065c9c ESP: ec065c08
[3920343.824992]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0069
[3920343.825000] Process init (pid: 1, ti=ec064000 task=ec068000 task.ti=ec064000)
[3920343.825011] Stack:
[3920343.825016]  c0518203 00000000 ec131160 ec065c50 00000001 ecd88fe0 c0bf5440 eb978000
[3920343.825035]  42f9f000 42fa0fff 42fa1000 ec12c008 00000001 42fa0fff ec068000 ec065c44
[3920343.825053]  42fa1000 ec1311b8 c0bf5440 c0bf5440 ec065c80 c050305b 00000001 ec065cb8
[3920343.972329] Call Trace:
[3920343.972348]  [<c0518203>] ? unmap_vmas+0x1f3/0x760
[3920343.972361]  [<c050305b>] ? pagevec_lru_move_fn+0xab/0xc0
[3920343.972371]  [<c0503089>] ? __pagevec_lru_add+0x19/0x20
[3920343.972381]  [<c05038f9>] ? lru_add_drain+0x79/0xc0
[3920343.972390]  [<c051cfee>] unmap_region+0x7e/0xe0
[3920343.972401]  [<c051d933>] ? __split_vma+0x173/0x1a0
[3920343.972410]  [<c051de64>] do_munmap+0x214/0x290
[3920343.972421]  [<c0965bbe>] elf_map+0xa7/0xe6
[3920343.972433]  [<c058cd53>] load_elf_binary+0x1103/0x1210
[3920343.972445]  [<c054713a>] ? vfs_read+0xea/0x160
[3920343.972472]  [<c054c6dd>] search_binary_handler+0xcd/0x340
[3920343.972491]  [<c058bc50>] ? do_mmap+0x60/0x60
[3920343.972499]  [<c054c0f4>] ? prepare_binprm+0xf4/0x160
[3920343.972506]  [<c058ab72>] load_script+0x242/0x260
[3920343.972513]  [<c096bca9>] ? _raw_spin_lock_irqsave+0x19/0x40
[3920343.972523]  [<c096bb93>] ? _raw_spin_unlock_irqrestore+0x13/0x20
[3920343.972534]  [<c051545a>] ? page_address+0xba/0xc0
[3920343.972544]  [<c096bca9>] ? _raw_spin_lock_irqsave+0x19/0x40
[3920343.972554]  [<c096bb93>] ? _raw_spin_unlock_irqrestore+0x13/0x20
[3920343.972564]  [<c051545a>] ? page_address+0xba/0xc0
[3920343.972573]  [<c054c6dd>] search_binary_handler+0xcd/0x340

[3920343.972582]  [<c054be6c>] ? copy_strings+0x19c/0x1d0
[3920343.972591]  [<c058a930>] ? bm_status_write+0x100/0x100
[3920343.972600]  [<c054d8e2>] do_execve+0x2e2/0x370
[3920343.972611]  [<c0419dd7>] sys_execve+0x37/0x70
[3920343.972621]  [<c0972eae>] ptregs_execve+0x12/0x18
[3920343.972630]  [<c096be04>] ? syscall_call+0x7/0xb
[3920343.972642]  [<c04300d8>] ? clear_IO_APIC_pin+0x88/0x1c0
[3920343.972652]  [<c09700e0>] ? kprobes_module_callback+0x40/0x130
[3920343.972662]  [<c0415b70>] ? kernel_execve+0x20/0x30
[3920343.972673]  [<c0962192>] ? run_init_process+0x1c/0x1e
[3920343.972682]  [<c09621d6>] ? init_post+0x42/0xae
[3920343.972693]  [<c0c0c8cf>] ? kernel_init+0x148/0x148
[3920343.972702]  [<c0c0c787>] ? start_kernel+0x353/0x353
[3920343.972711]  [<c097337e>] ? kernel_thread_helper+0x6/0x10
[3920343.972719] Code: e9 1b fb ff ff 8d b4 26 00 00 00 00 8d bc 27 00 00 00 00 55 89 e5 8b 55 0c 8d 4d 10 8b 45 08 e8 3f fa ff ff 5d c3 90 89 d8 89 ca <f0> 0f c7 09 c3 8d 76 00 0f c7 0e 75 fb c3 66 90 89 d8 89 ca f0
[3920343.972808] EIP: [<c0691028>] atomic64_read_cx8+0x4/0xc SS:ESP 0069:ec065c08
[3920343.972832] CR2: 00000000ec12e0b8
Comment 1 Jeremy Fitzhardinge 2012-06-22 14:29:11 EDT
Reverting to 2.6.43.5-2.fc15.i686.PAE works around the problem.
Comment 2 Josh Boyer 2012-06-22 14:56:31 EDT
*** Bug 834586 has been marked as a duplicate of this bug. ***
Comment 3 Josh Boyer 2012-06-22 14:59:11 EDT
This is the same as 829016.

I'll try and get a kernel built with that fix, however I'm not sure it will actually make it out to the stable updates repo before F15 goes EOL.  I really suggest you upgrade.
Comment 4 customercare 2012-06-22 15:05:00 EDT
Sorry to say that, but the 3.3.8 for fc16 has the same problem. So upgrading is not an option at the moment :(

Before you ask, it failed with the same message : atomic64_read_xxx+xxxxx
but i don't had the stacktrace copied.
Comment 5 Jeremy Fitzhardinge 2012-06-22 15:14:18 EDT
(In reply to comment #3)
> This is the same as 829016.
> 
> I'll try and get a kernel built with that fix, however I'm not sure it will
> actually make it out to the stable updates repo before F15 goes EOL.  I
> really suggest you upgrade.

An update is on my TODO, but I'm stuck with it for now.
Comment 6 Josh Boyer 2012-06-22 15:14:47 EDT
(In reply to comment #4)
> Sorry to say that, but the 3.3.8 for fc16 has the same problem. So upgrading
> is not an option at the moment :(

Yes it is.  F16 is on 3.4.2-1 in stable now and has this fixed already.
Comment 7 Josh Boyer 2012-06-22 15:16:28 EDT
Should be fixed in Fedora git.  I'll do a build soon.
Comment 8 customercare 2012-06-22 15:19:55 EDT
thx for the hint, the 3.4.2 kernel works for fc16 , where 3.3.8 failed.
Comment 9 Fedora Update System 2012-06-22 18:33:09 EDT
kernel-2.6.43.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.8-2.fc15
Comment 10 Fedora Update System 2012-06-25 20:38:04 EDT
Package kernel-2.6.43.8-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.43.8-2.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9857/kernel-2.6.43.8-2.fc15
then log in and leave karma (feedback).
Comment 11 Josh Boyer 2012-07-11 13:48:51 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.

Note You need to log in before you can comment on or make changes to this bug.